RCP application Subversion integration - "E200030: Invalid expression" error

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

RCP application Subversion integration - "E200030: Invalid expression" error

ibrahimevam
Hi,
We are trying to provide SVN integration to the RCP application we have developed. I added the required subclipse and svnkit libraries as dependencies. In the MacOs version, this process has been successful. But I can not say the same for Windows. After svn checkout, the operation fails and I get this error: "svn: E200030: Invalid expression".

What is the root problem with this error and what should we do for fixing that.

System information is as follows;

macOS :
Sierra 10.12
java version "1.8.0_111"
Java(TM) SE Runtime Environment (build 1.8.0_111-b14)
Java HotSpot(TM) 64-Bit Server VM (build 25.111-b14, mixed mode)

Windows :
Win 7 64bit
java version "1.8.0_111"
Java(TM) SE Runtime Environment (build 1.8.0_111-b14)
Java HotSpot(TM) 64-Bit Server VM (build 25.111-b14, mixed mode)

and also i tried with java 1.7

java version "1.7.0_79"
Java(TM) SE Runtime Environment (build 1.7.0_79-b15)
Java HotSpot(TM) 64-Bit Server VM (build 24.79-b02, mixed mode)


RCP Plugin dependencies
Update Site :
https://dl.bintray.com/subclipse/releases/subclipse/4.2.x/

Plugins :
org.tigris.subversion.clientadapter.javahl , version="1.9.5.201701181951"
org.tigris.subversion.subclipse.graph , version="4.2.0.1"
org.tmatesoft.svnkit , version="1.8.12.r10533_v20160129_0158"
org.tigris.subversion.subclipse , version="4.2.2.201612131538"
net.java.dev.jna , version="4.1.0.v06022015_1911"
org.tigris.subversion.clientadapter.svnkit , version="1.8.12.1"



Error is:
svn: E200030: Invalid expression
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: RCP application Subversion integration - "E200030: Invalid expression" error

Stefan Sperling
On Wed, Feb 22, 2017 at 03:20:39AM -0700, ibrahimevam wrote:
> Hi,
> We are trying to provide SVN integration to the RCP application we have
> developed. I added the required subclipse and svnkit libraries as
> dependencies. In the MacOs version, this process has been successful. But I
> can not say the same for Windows. After svn checkout, the operation fails
> and I get this error: "svn: E200030: Invalid expression".

This error code has the following meaning in Apache Subversion:

00200030  SVN_ERR_SQLITE_ERROR "SQlite error"

Perhaps this gives you a clue?

> What is the root problem with this error and what should we do for fixing
> that.

SVNKit is a separate re-implementation of Subversion in Java.
SVNKit strives to be compatible with Apache Subversion which is written in C.
There is occasional coordination around APIs but the project development
communities are very much separated.

You may want to direct your question at SVNKit developers: https://svnkit.com
Loading...